org.apache.geode.modules.session.catalina

## Class AbstractSessionCache

- java.lang.Object
- - org.apache.geode.modules.session.catalina.AbstractSessionCache

- All Implemented Interfaces:
    SessionCache
  Direct Known Subclasses:
    ClientServerSessionCache, PeerToPeerSessionCache

      public abstract class AbstractSessionCache
      extends java.lang.Object
      implements SessionCache

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Region<java.lang.String,javax.servlet.http.HttpSession>` | `operatingRegion` The operatingRegion is the `Region` used to do HTTP operations.
    `protected SessionManager` | `sessionManager`
    `protected Region<java.lang.String,javax.servlet.http.HttpSession>` | `sessionRegion` The sessionRegion is the `Region` that actually stores and replicates the `Session`s.
    `protected org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics` | `statistics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSessionCache(SessionManager sessionManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RegionConfiguration` | `createRegionConfiguration()`
    `protected void` | `createStatistics()`
    `void` | `destroySession(java.lang.String sessionId)`
    `Region<java.lang.String,javax.servlet.http.HttpSession>` | `getOperatingRegion()`
    `java.lang.String` | `getOperatingRegionName()`
    `javax.servlet.http.HttpSession` | `getSession(java.lang.String sessionId)`
    `protected SessionManager` | `getSessionManager()`
    `Region<java.lang.String,javax.servlet.http.HttpSession>` | `getSessionRegion()`
    `java.lang.String` | `getSessionRegionName()`
    `org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics` | `getStatistics()`
    `void` | `putSession(org.apache.catalina.Session session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.modules.session.catalina.SessionCache

      `getCache, getDefaultEnableLocalCache, getDefaultRegionAttributesId, initialize, isBackingCacheAvailable, isClientServer, isPeerToPeer, keySet, size, touchSessions`

- - ### Field Detail

    - #### sessionManager

          protected SessionManager sessionManager

    - #### sessionRegion

          protected Region<java.lang.String,javax.servlet.http.HttpSession> sessionRegion

      The sessionRegion is the `Region` that actually stores and replicates the `Session`s.

    - #### operatingRegion

          protected Region<java.lang.String,javax.servlet.http.HttpSession> operatingRegion

      The operatingRegion is the `Region` used to do HTTP operations. if local cache is enabled, then this will be the local `Region`; otherwise, it will be the session `Region`.

    - #### statistics

          protected org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics statistics

  - ### Constructor Detail

    - #### AbstractSessionCache

          public AbstractSessionCache(SessionManager sessionManager)

  - ### Method Detail

    - #### getSessionRegionName

          public java.lang.String getSessionRegionName()

      Specified by:
        `getSessionRegionName` in interface `SessionCache`

    - #### getOperatingRegionName

          public java.lang.String getOperatingRegionName()

      Specified by:
        `getOperatingRegionName` in interface `SessionCache`

    - #### putSession

          public void putSession(org.apache.catalina.Session session)

      Specified by:
        `putSession` in interface `SessionCache`

    - #### getSession

          public javax.servlet.http.HttpSession getSession(java.lang.String sessionId)

      Specified by:
        `getSession` in interface `SessionCache`

    - #### destroySession

          public void destroySession(java.lang.String sessionId)

      Specified by:
        `destroySession` in interface `SessionCache`

    - #### getStatistics

          public org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics getStatistics()

      Specified by:
        `getStatistics` in interface `SessionCache`

    - #### getSessionManager

          protected SessionManager getSessionManager()

    - #### getSessionRegion

          public Region<java.lang.String,javax.servlet.http.HttpSession> getSessionRegion()

      Specified by:
        `getSessionRegion` in interface `SessionCache`

    - #### getOperatingRegion

          public Region<java.lang.String,javax.servlet.http.HttpSession> getOperatingRegion()

      Specified by:
        `getOperatingRegion` in interface `SessionCache`

    - #### createStatistics

          protected void createStatistics()

    - #### createRegionConfiguration

          protected RegionConfiguration createRegionConfiguration()